Users
Update Agent Preferences
Update the current user’s agent preferences.
PUT
/
users
/
me
/
agent-preferences
Update Agent Preferences
curl --request PUT \
--url https://api.aspect.inc/users/me/agent-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_approvals": {}
}
'import requests
url = "https://api.aspect.inc/users/me/agent-preferences"
payload = { "tool_approvals": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool_approvals: {}})
};
fetch('https://api.aspect.inc/users/me/agent-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool_approvals": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Body
application/json
Per-user preferences for agent behavior.
Approval behavior keyed by agent tool name
Show child attributes
Show child attributes
Response
Successful Response
Per-user preferences for agent behavior.
Approval behavior keyed by agent tool name
Show child attributes
Show child attributes
⌘I
Update Agent Preferences

